Module | SOAP::Mapping::TraverseSupport
In: | soap/mapping/mapping.rb

TraverseSupport breaks following thread variables.

      Thread.current[:SOAPMarshalDataKey]

### Methods

mark_marshalled_obj mark_unmarshalled_obj

### Public Instance methods

mark_marshalled_obj(obj, soap_obj)

[Source]

    # File soap/mapping/mapping.rb, line 26
        def mark_marshalled_obj(obj, soap_obj)
          raise if obj.nil?
          Thread.current[:SOAPMarshalDataKey][obj.__id__] = soap_obj
        end

mark_unmarshalled_obj(node, obj)

[Source]

    # File soap/mapping/mapping.rb, line 31
        def mark_unmarshalled_obj(node, obj)
          return if obj.nil?
          # node.id is not Object#id but SOAPReference#id
          Thread.current[:SOAPMarshalDataKey][node.id] = obj
        end

[Validate]